<?php
/** @mainpage
 *  指定したキーワードで商品を検索、表示
 */
 
/**
 * @file
 * @brief 指定したキーワードで商品を検索、表示
 *
 * 商品検索APIを使用して、
 * あらかじめ変数$queryに指定したキーワードで商品を検索し,
 * その結果をhtmlに埋め込んで表示します。
 *
 * PHP version 5
 */

require_once("../common/common.php");//共通ファイル読み込み(使用する前に、appidを指定してください。)

$hits = array();
$query = "Yahoo";//検索したいキーワードを指定してください。

if ($query != "") {
    $query4url = rawurlencode($query);
    $url = "http://shopping.yahooapis.jp/ShoppingWebService/V1/itemSearch?appid=$appid&query=$query4url";
    $xml = simplexml_load_file($url);
    if ($xml["totalResultsReturned"] != 0) {//検索件数が0件でない場合,変数$hitsに検索結果を格納します。
        $hits = $xml->Result->Hit;
    }
}
?>
<html>
    <head>
        <meta http-equiv="Content-type" content="text/html; charset=UTF-8">
        <title>ショッピングデモサイト - 設定した値で商品リストを表示する - 「<?php echo h($query); ?>」の検索結果</title>
        <link rel="stylesheet" type="text/css" href="../css/prototype.css"/>
    </head>
    <body>
        <h1><a href="./ItemSearchList.php">ショッピングデモサイト - 設定した値で商品リストを表示する - 「<?php echo h($query); ?>」の検索結果</a></h1>
        <?php foreach ($hits as $hit) { ?>
        <div class="Item">
            <h2><a href="<?php echo h($hit->Url); ?>"><?php echo h($hit->Name); ?></a></h2>
           <p><a href="<?php echo h($hit->Url); ?>"><img src="<?php echo h($hit->Image->Medium); ?>" /></a><?php echo h($hit->Description); ?></p>
        </div>
        <?php } ?>
    </body>
<!-- Begin Yahoo! JAPAN Web Services Attribution Snippet -->
<a href="http://developer.yahoo.co.jp/about">
<img src="http://i.yimg.jp/images/yjdn/yjdn_attbtn2_105_17.gif" width="105" height="17" title="Webサービス by Yahoo! JAPAN" alt="Webサービス by Yahoo! JAPAN" border="0" style="margin:15px 15px 15px 15px"></a>
<!-- End Yahoo! JAPAN Web Services Attribution Snippet -->
</html>
